Get Static QR Code by ID
GET/v1/pix/deposits/qr-codes/static/:id
Retrieve a specific static QR Code associated with the user by its unique identifier.
Request
Path Parameters
Static QR Code ID.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
Static QR Code found.
- application/json
- Schema
- Example (from schema)
Schema
Static QR Code ID.
PIX txID.
EMV code.
Associated key ID.
Value in R$ cents.
User defined payment ID.
User defined payment description.
Expiration date to pay static QR Code. Max date is 3 months ahead.
If it is true, static QR Code can be paid many times. When it is false, expiration date is required.
Possible values: [PENDING, READY, DELETING, DELETED, ERROR]
Static QR Code state.
Static QR Code created at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"txid": "f6e2e08429b94935a0595473b",
"emv": "f6e2e084-29b9-4935-a059-5473b13033aa",
"key_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"value": 1299,
"summary": "party-payment",
"description": "The party payment.",
"expiration_date": "2026-03-26T14:02:58.715Z",
"payable_many_times": true,
"state": "PENDING",
"created_at": "2026-03-26T14:02:58.716Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.